Bug 1382487 - SELinux is preventing nfs-server-gene from 'add_name' accesses on the directory nfs-server.service.d.
Summary: SELinux is preventing nfs-server-gene from 'add_name' accesses on the directo...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy
Version: 24
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Lukas Vrabec
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:40112fcc725909b2a936950568a...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-10-06 19:34 UTC by Nivag
Modified: 2016-11-10 03:30 UTC (History)
7 users (show)

Fixed In Version: selinux-policy-3.13.1-191.20.fc24
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-11-10 03:30:23 UTC


Attachments (Terms of Use)

Description Nivag 2016-10-06 19:34:38 UTC
Description of problem:
SELinux is preventing nfs-server-gene from 'add_name' accesses on the directory nfs-server.service.d.

*****  Plugin catchall (100. confidence) suggests   **************************

If you believe that nfs-server-gene should be allowed add_name access on the nfs-server.service.d directory by default.
Then you should report this as a bug.
You can generate a local policy module to allow this access.
Do
allow this access for now by executing:
# ausearch -c 'nfs-server-gene' --raw | audit2allow -M my-nfsservergene
# semodule -X 300 -i my-nfsservergene.pp

Additional Information:
Source Context                system_u:system_r:nfsd_t:s0
Target Context                system_u:object_r:systemd_unit_file_t:s0
Target Objects                nfs-server.service.d [ dir ]
Source                        nfs-server-gene
Source Path                   nfs-server-gene
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           
Target RPM Packages           
Policy RPM                    <Unknown>
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Host Name                     (removed)
Platform                      Linux (removed) 4.7.5-200.fc24.x86_64 #1 SMP Mon
                              Sep 26 21:25:47 UTC 2016 x86_64 x86_64
Alert Count                   6
First Seen                    2016-10-04 13:44:42 NZDT
Last Seen                     2016-10-07 07:53:04 NZDT
Local ID                      58c35300-dc54-4786-b38a-c3ab77bc5cbd

Raw Audit Messages
type=AVC msg=audit(1475779984.565:1745): avc:  denied  { add_name } for  pid=30037 comm="nfs-server-gene" name="nfs-server.service.d" scontext=system_u:system_r:nfsd_t:s0 tcontext=system_u:object_r:systemd_unit_file_t:s0 tclass=dir permissive=0


Hash: nfs-server-gene,nfsd_t,systemd_unit_file_t,dir,add_name


Additional info:
reporter:       libreport-2.7.2
hashmarkername: setroubleshoot
kernel:         4.7.5-200.fc24.x86_64
type:           libreport

Comment 1 Terry A. Hurlbut 2016-10-27 19:25:10 UTC
Description of problem:
I called for an update. During the update process, something--I don't know what--threw this error.


Additional info:
reporter:       libreport-2.7.2
hashmarkername: setroubleshoot
kernel:         4.7.9-200.fc24.x86_64
type:           libreport

Comment 2 Terry A. Hurlbut 2016-10-29 19:26:33 UTC
Description of problem:
I took an update. That's all. This happened twice in a row, so I ran the commands to allow it in future.


Additional info:
reporter:       libreport-2.7.2
hashmarkername: setroubleshoot
kernel:         4.7.9-200.fc24.x86_64
type:           libreport

Comment 3 Fedora Update System 2016-11-04 12:12:38 UTC
selinux-policy-3.13.1-191.20.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-7ce27629b3

Comment 4 Fedora Update System 2016-11-05 03:36:52 UTC
selinux-policy-3.13.1-191.20.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-7ce27629b3

Comment 5 Fedora Update System 2016-11-10 03:30:23 UTC
selinux-policy-3.13.1-191.20.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.